## /Auth/OpenID/AX.php

Description

Implements the OpenID attribute exchange specification, version 1.0 as of svn revision 370 from openid.net svn.

Classes

Class | Description
--- | ---
Auth_OpenID_AX | AX utility class.
Auth_OpenID_AX_Error | Results from data that does not meet the attribute exchange 1.0 specification
Auth_OpenID_AX_Message | Abstract class containing common code for attribute exchange messages.
Auth_OpenID_AX_AttrInfo | Represents a single attribute in an attribute exchange request. This should be added to an AXRequest object in order to request the attribute.
Auth_OpenID_AX_FetchRequest | An attribute exchange 'fetch_request' message. This message is sent by a relying party when it wishes to obtain attributes about the subject of an OpenID authentication request.
Auth_OpenID_AX_KeyValueMessage | An abstract class that implements a message that has attribute keys and values. It contains the common code between fetch_response and store_request.
Auth_OpenID_AX_FetchResponse | A fetch_response attribute exchange message.
Auth_OpenID_AX_StoreRequest | A store request attribute exchange message representation.
Auth_OpenID_AX_StoreResponse | An indication that the store request was processed along with this OpenID transaction. Use make(), NOT the constructor, to create response objects.

Includes
require_once ("Auth/OpenID/Message.php") (line 14)
require_once ("Auth/OpenID/Extension.php") (line 13)

Require utility classes and functions for the consumer.

require_once ("Auth/OpenID/TrustRoot.php") (line 15)
Constants
Auth_OpenID_AX_MINIMUM_SUPPORTED_ALIAS_LENGTH = 32 (line 26)
Auth_OpenID_AX_NS_URI = 'http://openid.net/srv/ax/1.0' (line 17)
Auth_OpenID_AX_UNLIMITED_VALUES = 'unlimited' (line 22)
Functions
Auth_OpenID_AX_checkAlias (line 51)

Check an alias for invalid characters; raise AXError if any are found. Return None if the alias is valid.

void Auth_OpenID_AX_checkAlias ( $alias)

- $alias

Auth_OpenID_AX_toTypeURIs (line 238)

Given a namespace mapping and a string containing a comma-separated list of namespace aliases, return a list of type URIs that correspond to those aliases.

- return:

  The list of namespace URIs that corresponds to the supplied list of aliases. If the string was zero-length or None, an empty list will be returned.

  return null If an alias is present in the list of aliases but is not present in the namespace map.

$seq Auth_OpenID_AX_toTypeURIs ($namespace_map &$namespace_map, $alias_list_s $alias_list_s)

- $namespace_map &$namespace_map: The mapping from namespace URI to alias
- $alias_list_s $alias_list_s: The string containing the comma-separated list of aliases. May also be None for convenience.

Documentation generated on Tue, 21 Apr 2009 11:31:29 -0700 by phpDocumentor 1.3.2